Subject: [http-auth] (Due Dec 15) Mutual-auth issues (part 5)

From: 大岩寛 <[email-masked]>
Date: Wed, 2 Dec 2015 05:30:47 +0000

Dear all HTTPAUTH WG members,

I'd like to have your comments on the following four issues.
Please make your initial response *before December 15*, or the 
WG will consider these issues as successfully resolved
(as the WG Chair said in the Prague meeting.)

We appreciate your responses in any of the following form:
  * on the github issue tracking system (comments, pull-request etc.)
  * on this mailing list
  * on the private email
We'll summarize comments on the medium above, and send it to this mailing list.
(Please be understood that your comments on the private email may be included in the summary and published.)

==== draft-ietf-httpauth-extension ====

= Section 3: Optional authentication =

[P15] We use new header for optional possibility of authentications, OK?
      WG discussion have mentioned that the current choice is more
      friendly for existing proxies and other implementations.
      Also it will co-exist with Cookie-based authentication.
https://github.com/yoiwa/httpauth-mutual/issues/15

= Section 4: General issues =

[P16] Length of parameter names:
      Some requests are there, that we should shorten
      name of parameters: how far we should go?
https://github.com/yoiwa/httpauth-mutual/issues/16

= Section 4.6 =

[P17] Is it reasonable to use logout-timeout=0 for logout request?
      Or, something more explicit like "request-logout=true" is preferred?
https://github.com/yoiwa/httpauth-mutual/issues/17

= Section 7: IANA registration =

[P18] Choice of Requirement specification levels for 
      new parameters:
      Both our choice and the WG's discussion result in Dallas
      are "Specification Required".
      Is it OK? (See RFC 5226 for other choices, again.)
https://github.com/yoiwa/httpauth-mutual/issues/18

-- 
Yutaka OIWA, Ph.D.       Leader, Cyber Physical Architecture Research Group
                                  Information Technology Research Institute
    National Institute of Advanced Industrial Science and Technology (AIST)
                      Mail addresses: <[email-masked]>, <[email-masked]>
OpenPGP: id[440546B5] fp[7C9F 723A 7559 3246 229D  3139 8677 9BD2 4405 46B5]